using System;
using System.Xml;
using AODL.Document.Content.Tables;
using AODL.Document.TextDocuments;
using AODL.Document.Styles;
using AODL.Document.Content.Text;
using OpenOfficeLib.Connection;
using OpenOfficeLib.Document;
using OpenOfficeLib.Printer;
using unoidl.com.sun.star.lang;
using unoidl.com.sun.star.uno;
using unoidl.com.sun.star.bridge;
using unoidl.com.sun.star.frame;
using unoidl.com.sun.star.beans;
using System.IO;



namespace OOfficeLibrary
{
    public class Convert
    {

        public static string importMicrosoftOfficeFile(string FileName)
        {
            //Now print the new document via the OpenOfficeLib
            //Get the Component Context
            XComponentContext xCompContext = Connector.GetComponentContext();
            //Get a MultiServiceFactory
            XMultiServiceFactory xMultiServFactory = Connector.GetMultiServiceFactory(xCompContext);
            //Get a Dektop instance		
            XDesktop xDesk = Connector.GetDesktop(xMultiServFactory);
            //Convert a windows path to an OpenOffice one
            string inputFileName = Component.PathConverter(FileName);

            PropertyValue[] loadArgs = new PropertyValue[2];
            loadArgs[0] = new PropertyValue();
            loadArgs[0].Name = "ReadOnly";
            loadArgs[0].Value = new uno.Any(false);
            loadArgs[1] = new PropertyValue();
            loadArgs[1].Name = "Hidden";
            loadArgs[1].Value = new uno.Any(true);
            XComponent oDoc = ((XComponentLoader)xDesk).loadComponentFromURL(inputFileName, "_blank", 0, loadArgs);

            // Set output file extension based on lower-case 
            //version of input extension.
            string cFileExt = "";
            switch (Path.GetExtension(FileName))
            {
                case ".ppt": // PowerPoint file.
                    {
                        cFileExt = ".odp";
                        break;
                    }
                case ".doc":        //Word file.
                    {
                        cFileExt = ".odt";
                        break;
                    }
                case ".xls":        //Excel file.
                    {
                        cFileExt = ".ods";
                        break;
                    }
                default:
                    {
                        cFileExt = ".xxx";
                        break;
                    }
            }
            string newFileName = Path.ChangeExtension(FileName, cFileExt);
            string outputFileName = Component.PathConverter(newFileName);


            ((XStorable)oDoc).storeAsURL(outputFileName, loadArgs);
            //oDoc.close(True);
            oDoc.dispose();
            xDesk.terminate();
            return newFileName;
        }
    }
}
