using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Xml;

namespace BYOJeopardy_net
{
    public partial class FormQuestion : Form
    {
        public string Question = "";
        public string Answer = "";
        public Boolean Daily_Double = false;
        public Boolean Answer_as_Question = true;
        public FormQuestion()
        {
            InitializeComponent();
            this.webBrowser1.Navigate(new Uri(FormMain.tempIndex));
        }

        private void btnQues_Click(object sender, EventArgs e)
        {
            if (this.btnQues.Text == "Start Daily Double")
            {
                if (Answer_as_Question)
                {
                    SetText(this.Answer);
                    this.btnQues.Text = "Question";
                }
                else
                {
                    SetText(this.Question);
                    this.btnQues.Text = "Answer";
                }
            }
            else if (this.btnQues.Text == "Answer")
            {
                SetText(this.Answer);
                this.btnQues.Text = "Question";
            }
            else
            {
                SetText(this.Question);
                this.btnQues.Text = "Answer";
            }
           
        }
        public void SetText(string strText)
        {
            if (this.webBrowser1.DocumentText.Length > 0)
                this.webBrowser1.DocumentText.Remove(0);
            //this.lbQuestion.SelectionAlignment = HorizontalAlignment.Center;
            XmlDataDocument doc = new XmlDataDocument();
            XmlDocumentFragment xElement = doc.CreateDocumentFragment();
            xElement.InnerXml = strText;
            decimal fontsize = 0;
            if (xElement.InnerText.Length > 0)
            {
                fontsize = ((decimal)30 / (decimal)xElement.InnerText.Length) * 100 + 275;
            }
            string text = "<div style='font-size: " + fontsize + "%; text-align: center'>" + strText + "</div>";
            //this.webBrowser1.DocumentText = text;

            StreamWriter writeHTML = new StreamWriter(FormMain.tempIndex, false, Encoding.UTF8);
            //text = transparentPng(text);
            writeHTML.Write(text);
            writeHTML.Close();
            writeHTML.Dispose();
            this.webBrowser1.Navigate(FormMain.tempIndex);
        }


        private string transparentPng(string XHTML)
        {
            XmlDataDocument doc = new XmlDataDocument();
            XmlDocumentFragment xElement = doc.CreateDocumentFragment();

            //TODO: XHTML does not accept special characters like spaces. &nbsp;           
            xElement.InnerXml = XHTML;
            for (int n = 0; n < xElement.ChildNodes.Count; n++)
            {
                if (xElement.ChildNodes[n].Name == "img")
                {
                    
                    ////XmlAttribute styleAttribute = doc.CreateAttribute("style");
                    ////string MSFilter = "display:inline-block;filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='" + xElement.ChildNodes[n].Attributes["src"].InnerText + "',sizingMethod='scale');";
                    ////styleAttribute.Value = MSFilter;
                    ////XmlElement newChild = doc.CreateElement("span");
                    ////for (int i = 0; i < xElement.ChildNodes[n].Attributes.Count; i++)
                    ////{
                    ////    newChild.Attributes.Append((XmlAttribute) xElement.ChildNodes[n].Attributes["height"].Clone());
                    ////}
                    ////newChild.Attributes.Append(styleAttribute);
                    ////    xElement.ReplaceChild(newChild, xElement.ChildNodes[n]);
                    
                    //Used to make transparent backgrounds, but the multiple images do not show.
                    //if (Path.GetExtension(xElement.ChildNodes[n].Attributes["src"].InnerText) == ".png")
                    //{
                    //    XmlAttribute styleAttribute = doc.CreateAttribute("style");
                    //    string imgHeight = xElement.ChildNodes[n].Attributes["height"].InnerText;
                    //    string imgWidth = xElement.ChildNodes[n].Attributes["width"].InnerText;
                    //    string MSFilter = "height:" + imgHeight + ";width:" + imgWidth + ";display:inline-block;filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='" + xElement.ChildNodes[n].Attributes["src"].InnerText + "',sizingMethod='scale');";
                    //    styleAttribute.Value = MSFilter;
                    //    XmlElement newChild = doc.CreateElement("span");
                    //    newChild.Attributes.Append(styleAttribute);
                    //    XmlAttribute idAttribute = doc.CreateAttribute("id");
                    //    idAttribute.Value = "1000000" + n.ToString();
                    //    newChild.Attributes.Append(idAttribute);
                    //    xElement.ReplaceChild(newChild, xElement.ChildNodes[n]);
                    //}
                }
                if (xElement.ChildNodes[n].HasChildNodes)
                {
                    xElement.ChildNodes[n].InnerXml = transparentPng(xElement.ChildNodes[n].InnerXml);
                }
            }
            return xElement.InnerXml;
        }
    }
}