using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace BYOJeopardy_net
{
    class base64
    {        
        public static string EncodeWithString(string inputFileName)
        {
            System.IO.FileStream inFile;
            byte[] binaryData;

            try
            {
                inFile = new System.IO.FileStream(inputFileName,
                                                  System.IO.FileMode.Open,
                                                  System.IO.FileAccess.Read);
                binaryData = new Byte[inFile.Length];
                long bytesRead = inFile.Read(binaryData, 0,
                                            (int)inFile.Length);
                inFile.Close();
            }
            catch (System.Exception exp)
            {
                // Error creating stream or reading from it.
                System.Console.WriteLine("{0}", exp.Message);
                return "";
            }

            // Convert the binary input into Base64 UUEncoded output.
            string base64String;
            try
            {
                base64String =
                   System.Convert.ToBase64String(binaryData,
                                                 0,
                                                 binaryData.Length);
                return base64String;
            }
            catch (System.ArgumentNullException)
            {
                System.Console.WriteLine("Binary data array is null.");
                return "";
            }
        }

        public static string FixBase64ForImage(string Image)
        {
            System.Text.StringBuilder sbText =
               new System.Text.StringBuilder(Image, Image.Length);

            sbText.Replace("\r\n", String.Empty);

            sbText.Replace(" ", String.Empty);

            return sbText.ToString();
        }

        public static Bitmap decodeImage(string ImageTest)
        {
            if (ImageTest.Length > 0)
            {
                Byte[] bitmapData = new Byte[ImageTest.Length];

                bitmapData = Convert.FromBase64String(FixBase64ForImage
                  (ImageTest));

                System.IO.MemoryStream streamBitmap = new
                  System.IO.MemoryStream(bitmapData);

                return new Bitmap((Bitmap)Image.FromStream(streamBitmap));
            }
            return null;
        }
    }
}
