<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xs:template-name>Print</xs:template-name>
  <xs:template-description>An html template that displays all the topics, questions and answers, so the complete board can printed from your favorite web browser.</xs:template-description>
  <xs:template-version>1.2</xs:template-version>
  <xs:template-image>
    R0lGODlhMAAwAOZ/ALy6sqOjo9LS0MLCwNLS0rGxsczLym1tbcjIxnJyckxMTNXV04ODg4yMjLa1
    rd7e3NDQzs7OzKOhm9bW1ZiYmMbGxMrKyFJSUvj4+DIyMisrKxkZGb6+vMDAvqmpqbu7usTEwri4
    uJWVlX19fcjIyDk5Oa2trdfX1quqo5ualKqqqkFBQdTU1PTz8mdnZ+no55GRkdjY2CMjI/Dw8O3s
    68fHx1xcXNzc2+Hg3uvq6erq6srKyp6enpGRjbq6uT09Pezr6ujn5u7u7kZGRsTExGpqamRkZOfm
    5cC+tra2tfX187Cvp+Dg4Pf29f////T09O3t7fr6+s3NzPf39729u9vb2WJiYufn57y8uv7+/ubm
    5v39/fv7+9nZ1/Py8djY1tra2OPj466urvX19ezs7Pb29ujo6PPz89LR0MXDu7y8vKurq8nHv+Li
    4cfFvYeHh7+/vdHRz9PT0sPBuaeln5eWkOTk5O7u7Zubm9zb2+7t629vb+rp58/PzaCemP///yH5
    BAEAAH8ALAAAAAAwADAAAAf/gH+Cg4SFhoeIiYqLjI2Oj5CRkpONDDYKPyWam5srK0OgoZ6fK5R/
    RjBGIyoFra6tKgE8FLS1eLIUeC6UCg1Mv8DBwsPAGCW8vsTKyhgZyMvQwlPOk712YTXZ2tvc22Hf
    GKXVDVfl5ufmWurr7FoYF5RDMEA6Uvb3+Pn4OvwYNvEUhEAZSLCgwYMDpygAOGMGgYcQI0qM2HBG
    OIBjnmjcyLGjR41TxEkaQgHDlBgoU6qMMaWly5dTLk5agYdLlJs4c+rcedMYpRU8nGQZSrTo0C1I
    kyrd0uxngDNnOI6ZOqaM1TIvMWjd6nNmgG/dSIgVa6GshR1od5hZq5BShgIR/+XIlcOibt0JC/BO
    2DvhhN8ZCx+VkKFBgwwfRIisWWOisePHjcVIllxDLBMFGUpsoJboQpIOrTR4CEE6hI/TqFOf/sC6
    tRo1UoaMSJLAxYZERRR04cK7xIgAHoILH05chfHjiwsoMKLlCgYjtw/JWMGb9w8NF4xY2c69e3cj
    NmxcGE8+w5tyZB7IuGHoAJ4t1bl0aMDARYIEe/bgz8+/f4IRbwQoYABkFEhGGQHAU4gGLjjh4IMQ
    RijhhBQ6mAVng2QgQhVgVIHDhzg8IOIDN5TIYRcofuHXXgsswIIcAsQYBwQQIMABFVjMgKEgGnII
    BA4sPKDHkDQUSQMQSOagpP+SfDTJxwtQvhDElEEccYQUOEKx4x8ZwFBFBHwYoAQaLZRp5plomunF
    mmy26QUCH2Chw5ZdVuFDHnLAEUETfPbp55+ABtrEGiFgoYUGhtSZRABPCOroo32i8QYWWLSBaCEZ
    9FDFAg0U0d+noIYa6gEHBIDjA5cSosGGYHQhBwR9RCCFAbRagAACNVSgawUgDODrAB3AcSMWrPlA
    GhXIYlFFqoPIIMaJX6iI14swzhirPbXeiquuvf4a7I04niCDIRv0Aa20LsolgLWyzmqArbfmyuuv
    wAqbrBzjFrKBAeeeMK267GL7rrbyduvrt8n2wawgG9TQ77/VwtputvFySy+QwjgacEwhMnzwcLoR
    X+suvNvO6629OCKwZQkwnDAiiTec2EUMK4K87owSu0uxvBXgEV0hK2TgwtBEF2300Ugn7cLChCig
    QQoS0IHCEg4AgEQabLiRxhxIIAEAAA6EvcTYKKBABx0SSOCHHymkUEcPPyMiQwYb1G333Xjnbffc
    nGiSmSmABy744IQXbvjhpgQCADs=
  </xs:template-image>

  <xsl:param name="OutputFileName"></xsl:param>
  <xsl:output method="html"/>
  <xsl:template match="byojeopardy">
    <html>
      <head>
        <title>
          <xsl:text>BYOJeopardy -- </xsl:text>
          <xsl:value-of select="$OutputFileName"/>
        </title>
      </head>

      <body>
        <div align="center">
          <h2>
            <xsl:value-of select="$OutputFileName"/>
          </h2>
        </div>
        <table align="left" cellspacing="5">
          <xsl:for-each select="topic">
            <tr>
              <th colspan="3" align="left">
                <xsl:value-of select="topic_name"/>
              </th>
            </tr>
            <xsl:for-each select="value">
              <tr>
                <td width="20"></td>
                <td>
                  <xsl:value-of select="amount"/>
                </td>
              </tr>

              <tr>
                <td width="20"></td>
                <td width="20"></td>
                <td>
                  <xsl:value-of disable-output-escaping="yes" select="question"/>
                </td>
              </tr>

              <tr>
                <td width="20"></td>
                <td width="20"></td>
                <td>
                  <xsl:value-of disable-output-escaping="yes" select="answer"/>
                </td>
              </tr>
            </xsl:for-each>
            <tr />
          </xsl:for-each>
        </table>

      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
