<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xs:template-name>Questions List</xs:template-name>
  <xs:template-description>An html template that displays all the topics and &lt;b&gt;questions&lt;/b&gt;, so the board can be printed from a web browser.</xs:template-description>
  <xs:template-version>1.2</xs:template-version>
  <xs:template-image>
    R0lGODlhMgAyAOZ/AOzr4+/v7kRDAJWUasPCn4eGPePjzX18Q42MY19fX6emUHl4M2tqAlZVF2Bf
    AMnJqvn59Y+ORYOBAba1kpmYTYB/AtPTwkxLAGRjAfDw4vf387W1mtXVtJOSNWxrMmVkG9bVq3Rz
    Ad7ev1VUALy7m8rJtIiHV3x7AJubWoGAT8XFlVxbALa1aayse7KxioyLMNnZv1BPAWNiJqWkhE9P
    T9/fzdXVup2deeHhxP39/Ozs3OTk0vLy6sbGsuPj2JOSKUxLCbCuYPX17qSjbM3NusPDpbSzery8
    hq2tiunp1b6+flxbEdvayXBwPl1cIqalewAAAD8/P7+/v39/fw8PD9/f3y8vL8/Pz5+fn/v7+Y+P
    j0dGAYaFD/z8+R8fH6+vr39+D8rKopGQJLCvlXJxIYaEBo+NGNDPpLy7k3p5GMfGipCQW76+qMfH
    nMrJk83NnHd3D8C/mtzbt5+eO9DQucDAq6iogKiniqmoaW9vb7GxhLa1da+uctzcyY+OJP///yH5
    BAEAAH8ALAAAAAAyADIAAAf/gH+Cg4SFhoeIiYqLgzkWG2MICE0IAxsbPoyaikJ1KUACW1sXpDGm
    ph8DRDmbrQAIAqFAKU8kDzW4BHFDBSsrI0t2Gq2KPANbAg1rJVmLPG0UGA4fE83EhRugDRMQ1zx8
    DBhkTNeCWQMCQDfD5YIZFAwMBNcBTckW7YZuIQx4rJoBnAjwACDfIRFcQlD4pyiLvRTdDB7KICaE
    EUYmBkaUeCgJlxNtFN0R4KSgoipaEkRZyXIKliqKREioIAKRjy1AyCXCYgWKz59AfUaRksiNBD9d
    DjXZYidRlZ5BowKNEgDRHAlKDBERIMOaoStUgFLJI6XqnypYogS1YraQDglc/4QUWkoCUQAvQK3A
    PCQl7M8oiIJgJXTTCcNCU8S25Rv0SscKZhjeYJoI708sjNT+1IKoQwU5g2Rc2JGI5crFiBIAnYJI
    xQkWggBs+cCxkF+fmA8BCPFDUI8La2oP0qI4UZoTcmfE0CP8T2KgnBNFCIHjD4IRD2pfgfozwaIh
    DM78STECBsfnP6nkVtSCgYo/B1YYMPg0aJS9i1xgOAJffj6wYn3RChL7/WGCA+a1wx0UVBHzhAPv
    DeBAGO18ARQN5Ugo3gQOXFQOelA4ds0CDpBGhwMUtKOZT+XksIQD3WiAARyHbbKiFeVYEEMBgxTA
    QHXXXCHFkCISM8MILQwyAf8DQTTXigwj1DAIDwyAwU4rQ2aJ2iJEXLBAISiEkBUxQRHVShMXxFHI
    DiFwwQOZQJmpSQ+zJVUIHic02UqZm2ThxAVFHCIEGBWIt8kUiCKK3yKwHJAIByeUAaSThMwgwBIm
    IbKHBGboQOkgPaTTxyI5KCCBGJ5SWgIQWwTKSBemcsGBk5ZugUQrXQh2An8caZBCKBOUo0YZJ7xg
    Qz45jNFAMnTkY8AcJ4RQwKjEsCHQFia8KREIP/CzgAuZKGLBDctucYCUwuXwRgfhrPDBAZZcsgES
    CHjAKk4H4PPpHxlAw4ADv4xwiilLrPHAlfsSooMBD8SBRhx01KBtwhQXEggAOw==
  </xs:template-image>

  <xsl:param name="OutputFileName"></xsl:param>
  <xsl:output method="html"/>
  <xsl:template match="byojeopardy">
    <html>
      <head>
        <title>
          <xsl:text>BYOJeopardy Questions -- </xsl:text>
          <xsl:value-of select="$OutputFileName"/>
        </title>
      </head>

      <body>
        <div align="center">
          <h2>
            <xsl:value-of select="$OutputFileName"/>
          </h2>
        </div>
        <table align="left" cellspacing="5">
          <xsl:for-each select="topic">
            <tr>
              <th colspan="3" align="left">
                <xsl:value-of select="topic_name"/>
              </th>
            </tr>

            <xsl:for-each select="value">
              <tr>
                <td width="20"></td>
                <td>
                  <xsl:value-of select="amount"/>
                </td>
                <td>
                  <xsl:value-of disable-output-escaping="yes" select="question"/>
                </td>
              </tr>
            </xsl:for-each>
          </xsl:for-each>
        </table>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
